Bug 5928 - Option --version in testparm des not work
Option --version in testparm des not work
Status: RESOLVED FIXED
Product: Samba 3.2
Classification: Unclassified
Component: Config Files
3.2.5
All All
: P3 normal
: ---
Assigned To: Samba Bugzilla Account
Samba QA Contact
:
Depends on:
Blocks:
  Show dependency treegraph
 
Reported: 2008-11-30 15:09 UTC by Tomasz Krasuski
Modified: 2008-12-05 18:38 UTC (History)
0 users

See Also:


Attachments
Patch that fixes the described bug (661 bytes, patch)
2008-11-30 15:11 UTC, Tomasz Krasuski
no flags Details

Note You need to log in before you can comment on or make changes to this bug.
Description Tomasz Krasuski 2008-11-30 15:09:41 UTC
Invoking testparm --version should give the version number of the Samba package (as indicated in manpage or in testparm --help), but the option is not recognised.
Comment 1 Tomasz Krasuski 2008-11-30 15:11:21 UTC
Created attachment 3769 [details]
Patch that fixes the described bug
Comment 2 Tomasz Krasuski 2008-11-30 15:14:23 UTC
Comment on attachment 3769 [details]
Patch that fixes the described bug

The patch fixes the --version bug. Note that it is created for the 3.3.0rc1 release of samba (on which the bug still exists).
Comment 3 Jeremy Allison 2008-12-05 18:31:49 UTC
Applied, thanks !
Jeremy.
Comment 4 Jeremy Allison 2008-12-05 18:38:13 UTC
Fixed with applied patch.
Jeremy.